Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
DirectMySQLdbConnection Class Reference
Inheritance diagram for DirectMySQLdbConnection:

## Public Member Functions
| __init__ (self, *args, **kwargs)
| DCR: from MySQLdb connections.py Connection.__init__.
| close (self)

## Public Attributes
| cursorclass = kwargs2.pop('cursorclass', self.default_cursor)
| encoders
| DCR: skip over the Connection init super(Connection, self).__init__(*args, **kwargs2)
list | messages = []
| string_decoder = self._get_string_decoder()
| unicode_literal = self._get_unicode_literal(db)

## Protected Member Functions
| _get_string_decoder (self)
| _get_string_literal (self, db)
| _get_unicode_literal (self, db)
| _string_decoder (self, s)
| _string_literal (self, db, obj, dummy=None)
| DCR: make inline-defined functions into member methods to avoid garbage.
| _unicode_literal (self, db, u, dummy=None)

## Protected Attributes
| _server_version = tuple([ int(n) for n in self.get_server_info().split('.')[:2] ])
| _string_decoder
| _string_literal
| _transactional = self.server_capabilities & CLIENT.TRANSACTIONS
| _unicode_literal

## Constructor & Destructor Documentation

## ◆ __init__()

__init__ | ( |  | self,
|  | * | args,
|  | ** | kwargs )

DCR: from MySQLdb connections.py Connection.__init__.

## Member Function Documentation

## ◆ _get_string_decoder()

_get_string_decoder | ( |  | self | ) |
| protected

## ◆ _get_string_literal()

_get_string_literal | ( |  | self,
|  |  | db )
| protected

## ◆ _get_unicode_literal()

_get_unicode_literal | ( |  | self,
|  |  | db )
| protected

## ◆ _string_decoder()

_string_decoder | ( |  | self,
|  |  | s )
| protected

## ◆ _string_literal()

_string_literal | ( |  | self,
|  |  | db,
|  |  | obj,
|  |  | dummy = None )
| protected

DCR: make inline-defined functions into member methods to avoid garbage.

## ◆ _unicode_literal()

_unicode_literal | ( |  | self,
|  |  | db,
|  |  | u,
|  |  | dummy = None )
| protected

## ◆ close()

close | ( |  | self | ) |

## Member Data Documentation

## ◆ _server_version

_server_version = tuple([ int(n) for n in self.get_server_info().split('.')[:2] ])
| protected

## ◆ _string_decoder

_string_decoder
| protected

## ◆ _string_literal

_string_literal
| protected

## ◆ _transactional

_transactional = self.server_capabilities & CLIENT.TRANSACTIONS
| protected

## ◆ _unicode_literal

_unicode_literal
| protected

## ◆ cursorclass

cursorclass = kwargs2.pop('cursorclass', self.default_cursor)

## ◆ encoders

encoders

Initial value:
= dict([ (k, v) for k, v in conv.items()
if type(k) is not int ])

DCR: skip over the Connection init super(Connection, self).__init__(*args, **kwargs2)

## ◆ messages

list messages = []

## ◆ string_decoder

string_decoder = self._get_string_decoder()

## ◆ unicode_literal

unicode_literal = self._get_unicode_literal(db)